:root {
	--primary-colour: #B39169;
	--secondary-colour: #AC8B65;
	--tertiary-colour: #69B391;
	--quaternary-colour: #9169B3;
	--monochromatic-colour: #9B784E;
	--brand-colour: #1A5E63;
	--darkened-brand-colour: color-mix(in srgb, #1A5E63 100%, #000 100%);
}

::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}

::-webkit-scrollbar-track {
	background-color: var(--darkened-brand-colour);
}

::-webkit-scrollbar-track-piece:start {
	margin-top: 5px; 
}
::-webkit-scrollbar-track-piece:end {
	margin-bottom: 5px;
}

::-webkit-scrollbar-thumb {
	background: var(--secondary-colour);
	border-radius: 10px;
}

html,
body {
	margin: 0;
	margin-right: 5px;
	background-color: var(--darkened-brand-colour);
	padding: 0;
	height: 100%;
	display: flex;
	flex-direction: column;
	flex: 1;
	overflow-y: auto;
	overflow-x: hidden;
}

body {
	margin: 0;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
		'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
		sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	color: white;
	font-weight: 400;
}

code {
	font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
		monospace;
}

h1, h2, h3, h4, h5, h6, p {
	margin: 0;
}

.flex-container {
	display: flex;
	flex: 1;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	/* height: 100vh; */
}

.flex {
	display: flex;
}

.flex-cmn {
	display: flex;
	flex-direction: column
}

.flex-cmn-reverse {
	display: flex;
	flex-direction: column-reverse;
}

.flex-row-reverse {
	display: flex;
	flex-direction: row-reverse;
}

.flex-centre {
	display: flex;
	justify-content: center;
	align-items: center;
}

.flex-cmn-centre {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.justify-start {
	display: flex;
	justify-content: flex-start;
}

.justify-center {
	display: flex;
	justify-content: center;
}

.space-between {
	display: flex;
	justify-content: space-between;
}

.justify-end {
	display: flex;
	justify-content: flex-end;
}

.align-start {
	display: flex;
	align-items: flex-start;
}

.align-center {
	display: flex;
	align-items: center;
}

.align-end {
	display: flex;
	align-items: flex-end;
}

.snippet {
	font-family: monospace;
	font-size: 17px;
	color: #ce9178;
}

.codeblock-container {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	width: 90%;
	margin: 0 auto;
}

.codeblock {
	background-color: #1f1f1f !important;
	border-radius: 15px;
	border-top-right-radius: 0;
	font-family: monospace !important;
	font-size: 15px;
	padding: 8px;
	width: 100%;
	text-wrap: auto;
}

.codeblock span, .codeblock * {
	text-wrap: auto;
}

.string-code {
	color: #ce9178;
}

.non-str {
	white-space: pre;
	text-align: left;
	tab-size: 4;
}

.copy-to-clip {
	font-family: "Montserrat", sans-serif;
	font-weight: bolder;
	background-color: var(--brand-colour);
	border: none;
	padding: 10px;
	border-radius: 0px;
	border-top-right-radius: 10px;
	border-top-left-radius: 10px;
	cursor: pointer;
	transition: all ease 200ms;
	color: white;
}

.copy-to-clip:hover {
	background-color: var(--secondary-colour);
}

.arch-btn {
	outline: none;
	border: none;
	border-radius: 15px;
	background-color: var(--quaternary-colour);
	padding: 10px 50px;
	cursor: pointer;
	transition: all ease 300ms;
	transition-property: all, border;
	transition-duration: 0.3s, 0s;
	color: white;
	font-weight: bold;
	font-size: 20px;
	font-family: Ubuntu Mono, monospace, sans-serif;
}

.arch-btn:hover {
	background-color: var(--secondary-colour);
}

.arch-btn:active {
	transform: scale(0.95)
}

.active-arch {
	background-color: var(--monochromatic-colour);
	border-color: white;
	border-width: 4px;
	border-style: solid;
}

.package-item {
	gap: 10px;
	background-color: rgb(from var(--secondary-colour) r g b / 0.6);
	padding: 20px 30px;
	border-radius: 10px;
	width: calc(95% - 30px);
	cursor: pointer;
	transition: all ease 200ms;
}

.package-item:hover {
	background-color: var(--secondary-colour)
}

.package-item:active {
	transform: scale(0.99)
}

@media (max-width: 875px) {
	.package-item {
		flex-direction: column;
		gap: 20px;
		width: calc(75% - 30px);
	}
}